curl -H "Authorization: Bearer reel25_sk_..." \
https://api.reel25.com/api/v1/accounts/8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d
const response = await fetch(
'https://api.reel25.com/api/v1/accounts/8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d',
{ headers: { 'Authorization': 'Bearer reel25_sk_...' } }
);
const { data } = await response.json();
import requests
account_id = '8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d'
response = requests.get(
f'https://api.reel25.com/api/v1/accounts/{account_id}',
headers={'Authorization': 'Bearer reel25_sk_...'}
)
{
"data": {
"id": "a1b2c3d4-...",
"canonicalAccountId": "8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d",
"username": "creator",
"displayName": "Creator Name",
"type": "tiktok",
"status": "active",
"followerCount": 520000,
"profileImageUrl": "https://...",
"bio": "Content creator | 500K followers"
}
}
The id field is the tracked account ID (workspace-specific). The canonicalAccountId is the global account identifier shared across workspaces.
```json 404
{
"code": "NOT_FOUND",
"message": "Account not found in your workspace"
}
Accounts
Get Account
Retrieve details for a specific tracked account
GET
/
api
/
v1
/
accounts
/
{id}
curl -H "Authorization: Bearer reel25_sk_..." \
https://api.reel25.com/api/v1/accounts/8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d
const response = await fetch(
'https://api.reel25.com/api/v1/accounts/8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d',
{ headers: { 'Authorization': 'Bearer reel25_sk_...' } }
);
const { data } = await response.json();
import requests
account_id = '8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d'
response = requests.get(
f'https://api.reel25.com/api/v1/accounts/{account_id}',
headers={'Authorization': 'Bearer reel25_sk_...'}
)
{
"data": {
"id": "a1b2c3d4-...",
"canonicalAccountId": "8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d",
"username": "creator",
"displayName": "Creator Name",
"type": "tiktok",
"status": "active",
"followerCount": 520000,
"profileImageUrl": "https://...",
"bio": "Content creator | 500K followers"
}
}
The id field is the tracked account ID (workspace-specific). The canonicalAccountId is the global account identifier shared across workspaces.
```json 404
{
"code": "NOT_FOUND",
"message": "Account not found in your workspace"
}
Returns profile data for a specific tracked account.
Path parameters
string
required
The tracked account UUID (returned as
id in the List Accounts response).curl -H "Authorization: Bearer reel25_sk_..." \
https://api.reel25.com/api/v1/accounts/8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d
const response = await fetch(
'https://api.reel25.com/api/v1/accounts/8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d',
{ headers: { 'Authorization': 'Bearer reel25_sk_...' } }
);
const { data } = await response.json();
import requests
account_id = '8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d'
response = requests.get(
f'https://api.reel25.com/api/v1/accounts/{account_id}',
headers={'Authorization': 'Bearer reel25_sk_...'}
)
{
"data": {
"id": "a1b2c3d4-...",
"canonicalAccountId": "8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d",
"username": "creator",
"displayName": "Creator Name",
"type": "tiktok",
"status": "active",
"followerCount": 520000,
"profileImageUrl": "https://...",
"bio": "Content creator | 500K followers"
}
}
The
id field is the tracked account ID (workspace-specific). The canonicalAccountId is the global account identifier shared across workspaces.
```json 404
{
"code": "NOT_FOUND",
"message": "Account not found in your workspace"
}
Was this page helpful?